Package edu.msu.cme.rdp.classifier.utils

# Class HierarchyVersion

java.lang.Object
edu.msu.cme.rdp.classifier.utils.HierarchyVersion

public class HierarchyVersion extends Object
A HierarchyVersion holds the training set number and version of the taxonomy.

## Constructor Summary

Constructors
Constructor
Description
`HierarchyVersion(String doc)`
Creates a new instance of HierarchyVersion,

## Method Summary

Modifier and Type
Method
Description
`int`
`getTrainsetNo()`
Returns the training set number of the taxonomy hierarchy from the header of the training file.
`String`
`getVersion()`
Returns the version of the taxonomy hierarchy from the header of the training file.
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HierarchyVersion

public HierarchyVersion(String doc) throws TrainingDataException
Creates a new instance of HierarchyVersion,

Throws:
  `TrainingDataException`

## Method Details

### getTrainsetNo

public int getTrainsetNo()
Returns the training set number of the taxonomy hierarchy from the header of the training file.

### getVersion

public String getVersion()
Returns the version of the taxonomy hierarchy from the header of the training file.

### main

public static void main(String[] args) throws TrainingDataException

Throws:
  `TrainingDataException`